Instalar el Java de Oracle en Debian

Para instalar el Java de Oracle en Debian 6 ó 7 (Squeeze o Wheezy) hay que seguir el siguiente procedimiento:
1) Descargar el jdk más moderno correspondiente a nuestra arquitectura (i386 o x86_64) de la página de descargas de Java.

2) Instalarlo en /opt con:
# cd /opt
# tar -xzvf <path_to_download>/jdk-7u7-linux-i586.tar.gz

(Ojo, cambiar el nombre del fichero con el que nos hayamos descargado).

3) Registramos esta versión de Java como alternativa y la marcamos por defecto (los comandos se corresponden con la versión para i386, por lo que habrá que modificarlos  en caso de estar en x86_64:
# update-alternatives --install /usr/bin/java java /opt/jdk1.7.0_07/bin/java 1
# update-alternatives --install /usr/bin/javac javac /opt/jdk1.7.0_07/bin/javac 1
# update-alternatives --install /usr/lib/mozilla/plugins/libjavaplugin.so mozilla-javaplugin.so /opt/jdk1.7.0_07/jre/lib/i386/libnpjp2.so 1
# update-alternatives --set java /opt/jdk1.7.0_07/bin/java
# update-alternatives --set javac /opt/jdk1.7.0_07/bin/javac
# update-alternatives --set mozilla-javaplugin.so /opt/jdk1.7.0_07/jre/lib/i386/libnpjp2.so

4) Verificar la versión de java instalada con el comando:
# java -version
java version "1.7.0_07"
Java(TM) SE Runtime Environment (build 1.7.0_07-b10)
Java HotSpot(TM) Server VM (build 23.3-b01, mixed mode)

5) Verificar la versión instalada en el navegador en esta página, pulsando en el botón “Verificar la versión de Java”.

Tomado del blog > /dev/null.

Anuncios

Instalar el Java de Oracle en OpenSUSE

(Procedimiento verificado en OpenSUSE 12.3 para x86_64)
Para instalar el Java de Oracle en OpenSUSE debemos primero descargarnos el fichero desde la página de descargas de Oracle. El fichero a descargar es el etiquetado como “linux RPM”. Se puede también instalar el Java a partir del fichero “tar.gz”, pero en ese caso habría que seguir las instrucciones de esta página. Yo prefiero el fichero rpm porque si no habría que estar reinstalando cada vez que hubiera una nueva versión, para tener el entorno Java actualizado.
Una vez descargado, suponiendo que lo tengamos en la carpeta Descargas, lo instalamos o bien haciendo clik con el botón derecho y abriéndolo con “Install/remove software”, o desde un terminal con el comando (como root si no usamos ‘sudo’):
sudo zypper in jdk-7u1-linux-i586.rpm
(Tanto en este comando como en los siguientes puede ser que el nombre del fichero o directorio cambie, dependiendo de la versión de java que hayamos descargado, podría ser jdk-7u5… etc.)
A continuación tenemos que instalar lo que llaman “alternativas”, para el caso de que quisiéramos alternar entre el Java de Oracle y el OpenJDK, con el comando:
sudo /usr/sbin/update-alternatives --install "/usr/bin/java" "java" "/usr/java/jdk1.7.0_05/bin/java" 40
Para el plugin del navegador hacemos lo mismo:
sudo /usr/sbin/update-alternatives --install "/usr/lib/browser-plugins/javaplugin.so" "javaplugin" "/usr/java/jdk1.7.0_05/jre/lib/i386/libnpjp2.so" 40
Si hemos instalado la versión de OpenSUSE para 64 bits el comando sería:
sudo /usr/sbin/update-alternatives --install "/usr/lib/browser-plugins/javaplugin.so" "javaplugin" "/usr/java/jdk1.7.0_05/jre/lib/amd64/libnpjp2.so" 40

Configuramos la alternativa para Java:
sudo /usr/sbin/update-alternatives --config java
Seleccionando la opción 1, que es la que apunta al jdk que hemos instalado.
Y lo mismo para el plugin:
sudo /usr/sbin/update-alternatives --config javaplugin
Seleccionando también la opción que corresponde al jdk de Oracle.
Verificamos que existe el directorio plugins dentro de la carpeta .mozilla; si no existe tendremos que crearlo con:
mkdir /home/<nuestro_usuario>/.mozilla/plugins.
Hacemos un enlace simbólico al plugin:
sudo ln -s /usr/java/jdk1.7.0_05/jre/lib/i386/libnpjp2.so /home/<nuestro_usuario>/.mozilla/plugins/
Si hemos instalado la versión de OpenSUSE para 64 bits el comando sería:
sudo ln -s /usr/java/jdk1.7.0_05/jre/lib/amd64/libnpjp2.so /home/<nuestro_usuario>/.mozilla/plugins/

Cerramos el navegador y lo volvemos a abrir. Si vamos a la dirección about:plugins deberíamos ver una sección Java(TM) Plug-in 1.7.0_05.
También podemos comprobar que tenemos instalada la versión correcta visitando esta página.